View Issue Details

IDProjectCategoryLast Update
0019101AI War 2[All Projects] SuggestionJun 22, 2017 12:40 pm
ReporterBadgerBadgerAssigned Tox4000Bughunter 
Severityminor 
Status resolvedResolutionfixed 
Product Version0.123 Ship Batch 4 of 7, And A Metric Ton of Improvements 
Fixed in Version0.450 Sound! 
Summary0019101: Naming saved games
DescriptionThis is a larger request than just "Can we put in a name for our saved games", where the value is pretty obvious (if only to make it easier for me to remember which saved game to upload for a bug report), since I assume that's going to be done regardless.

One thing I dealt with in AIWC was trying to figure out naming conventions for my saved games. I would traditionally give my campaigns names ("Concentric Spire", "Hard Clustered", "Why would anyone try 10 difficulty"), then include additional information as reminders to myself in the saved game. The campaign name was required because I would sometimes have several campaigns running at once, or maybe I would put a campaign aside if I got stuck and then try to come back to it.

For example, a saved game for me might have been named "Concentric Spire: survive exo wave then hack Murdoch". There's nothing that stops me from following a similar pattern, but I feel like it would be nice if there was a way to encode more information in the saved game itself.

One way of doing this would be to allow the user to name a campaign (a la After Action Reports), then making sure that was displayed next to the saved game.
TagsNo tags attached.

Activities

Dominus Arbitrationis

May 11, 2017 2:41 pm

administrator   ~0046156

Quick clarification request: Do you want to be able to name a game, then give it a description? Basically when you save a game you have two text boxes, one for the title, which appears in the load screen, and another for the description, which appears when you click the save but don't load it or hover over it?

BadgerBadger

May 11, 2017 2:49 pm

reporter   ~0046157

I think a "Name" and "Optional Description" fields might work, with the "click on saved game displays optional description" to accompany it. Oh, and a timestamp (both wallclock and in game; having both is useful for people who savescum) to accompany it.

z99-_

May 15, 2017 7:41 pm

reporter   ~0046159

+10000 Support. I often end up ragequitting AIWC (mostly due to my own mistakes) and coming back a few days/weeks later. By that time I've forgotten what I was doing, which has on multiple occasions led me into doing the exact thing that led to the original ragequit. It's a vicious cycle ...

x4000Bughunter

Jun 19, 2017 9:07 pm

administrator   ~0046310

BadgerBadger, was this something you had done and put code on the forums for? I think I recall that. Link handy? :)

BadgerBadger

Jun 19, 2017 9:11 pm

reporter   ~0046314

https://forums.arcengames.com/private-alpha-discussion/proposed-save-game-update/msg215308/#msg215308

BadgerBadger

Jun 19, 2017 10:39 pm

reporter   ~0046322

Technically what I coded isn't exactly a solution to the problem, it's a solution to "Lets give saved games a name". But if Keith gives me an additional text field that can be saved/restored as part of a save game then I can code up something that will make me happy.

BadgerBadger

Jun 19, 2017 11:43 pm

reporter   ~0046326

Someone else on the forum suggested also taking a tiny snapshot of the galaxy for a given game that could be incorporated as well.

x4000Bughunter

Jun 22, 2017 10:04 am

administrator   ~0046340

As posted on the forums:

I will happily apply this, but I can't get figure out how to do this with WinMerge, and TortoiseSVN does not recognize it as a valid patch file if I try to use it (extension changed or not, it just fails). I can't use TortoiseGit on the folder since it's not versioned with Git.

I need to focus on other things right now in order to make sure this release gets out today. But if someone else is able to google-fu this up, then I'd be grateful. :)

BadgerBadger

Jun 22, 2017 11:57 am

reporter   ~0046342

Ah, I uploaded a full git patch but forgot that you can't just apply it since you don't have things in git (and I didn't read your comment carefully). Can you delete it for me?

I'm going to wait till the next release comes out, then just give you full copies of the files I've modified. Then you can just copy those onto your existing files and see what changes have been made. Would that work?

x4000Bughunter

Jun 22, 2017 12:15 pm

administrator   ~0046343

If you just upload your existing files for that, then I can do a diff against the files quite easily and cross-apply just the changes I want. I have two separate tools for that sort of thing. No need to wait until the next release if you would rather upload those now. ;)

x4000Bughunter

Jun 22, 2017 12:15 pm

administrator   ~0046344

Also if you ever want to make SVN patches, then we can apply those directly, too.

BadgerBadger

Jun 22, 2017 12:21 pm

reporter  

Window_SaveGameMenu.cs (5,454 bytes)

BadgerBadger

Jun 22, 2017 12:22 pm

reporter  

KDL_UIWindows.xml (20,100 bytes)

BadgerBadger

Jun 22, 2017 12:23 pm

reporter   ~0046345

Uploaded. I think tortoiseSVN can take a diff in "unified diff format", so I might try generating those later anyway. Or maybe I'll just start uploading the files as you suggest.

x4000Bughunter

Jun 22, 2017 12:40 pm

administrator   ~0046346

Thank you! This is fantastic stuff. :D

Issue History

Date Modified Username Field Change
May 10, 2017 3:41 pm BadgerBadger New Issue
May 11, 2017 2:41 pm Dominus Arbitrationis Note Added: 0046156
May 11, 2017 2:49 pm BadgerBadger Note Added: 0046157
May 15, 2017 7:41 pm z99-_ Note Added: 0046159
Jun 19, 2017 9:07 pm x4000Bughunter Note Added: 0046310
Jun 19, 2017 9:07 pm x4000Bughunter Assigned To => keith.lamothe
Jun 19, 2017 9:07 pm x4000Bughunter Status new => feedback
Jun 19, 2017 9:11 pm BadgerBadger Note Added: 0046314
Jun 19, 2017 9:11 pm BadgerBadger Status feedback => assigned
Jun 19, 2017 10:39 pm BadgerBadger Note Added: 0046322
Jun 19, 2017 11:43 pm BadgerBadger Note Added: 0046326
Jun 22, 2017 10:04 am x4000Bughunter Note Added: 0046340
Jun 22, 2017 11:51 am BadgerBadger File Added: 0001-Redo-Save-Game-Menu.patch
Jun 22, 2017 11:57 am BadgerBadger Note Added: 0046342
Jun 22, 2017 12:15 pm x4000Bughunter Note Added: 0046343
Jun 22, 2017 12:15 pm x4000Bughunter File Deleted: 0001-Redo-Save-Game-Menu.patch
Jun 22, 2017 12:15 pm x4000Bughunter Note Added: 0046344
Jun 22, 2017 12:21 pm BadgerBadger File Added: Window_SaveGameMenu.cs
Jun 22, 2017 12:22 pm BadgerBadger File Added: KDL_UIWindows.xml
Jun 22, 2017 12:23 pm BadgerBadger Note Added: 0046345
Jun 22, 2017 12:40 pm x4000Bughunter Note Added: 0046346
Jun 22, 2017 12:40 pm x4000Bughunter Status assigned => resolved
Jun 22, 2017 12:40 pm x4000Bughunter Fixed in Version => 0.450 Sound!
Jun 22, 2017 12:40 pm x4000Bughunter Resolution open => fixed
Jun 22, 2017 12:40 pm x4000Bughunter Assigned To keith.lamothe => x4000Bughunter